import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The undo button; undoes the drawing of certain figures
 *
 * @author Annmarie Stanley and Hannah Chadd.
 *         Created Apr 12, 2008.
 */
public class undoButton extends JButton implements ActionListener,
		MouseListener {
	
	/** Creates the undo button */
	@SuppressWarnings("deprecation")
	public undoButton() {
		super();
		this.setLabel("Undo");
	}

	public void actionPerformed(ActionEvent arg0) {
		// Empty

	}

	public void mouseClicked(MouseEvent e) {
		CanvasPanel.changeButton(7);

	}

	public void mouseEntered(MouseEvent e) {
		// Empty

	}

	public void mouseExited(MouseEvent e) {
		// Empty

	}

	public void mousePressed(MouseEvent e) {
		// Empty

	}

	public void mouseReleased(MouseEvent e) {
		// Empty

	}

}
